Package wx :: Package lib :: Package ogl :: Class EllipseShape

[frames | no frames]

## Type EllipseShape

         object --+
                  |
    ShapeEvtHandler --+
                      |
                  Shape --+
                          |
                         EllipseShape

Known Subclasses:
  `CircleShape`

The EllipseShape behaves similarly to the RectangleShape but is elliptical.

Derived from:
  wxShape

Method Summary
| `__init__(self, w, h)`
| ``GetAttachmentPosition`(self, attachment, nth, no_arcs, line)` Get the position at which the given attachment point should be drawn.
| ``GetBoundingBoxMin`(self)` Get the minimum bounding box for the shape, that defines the area available for drawing the contents (such as text).
| `GetHeight(self)`
| ``GetNumberOfAttachments`(self)` Get the number of attachment points for this shape.
| ``GetPerimeterPoint`(self, x1, y1, x2, y2)` Get the point at which the line from (x1, y1) to (x2, y2) hits the shape.
| `GetWidth(self)`
| `OnDraw(self, dc)`
| `SetHeight(self, h)`
| ``SetSize`(self, x, y, recursive)` Set the shape's size.
| `SetWidth(self, w)`

Class Variable Summary

Method Details

### GetAttachmentPosition(self, attachment, nth=0, no_arcs=1, line=None)

Get the position at which the given attachment point should be drawn.

If attachment isn't found among the attachment points of the shape, returns None.

  Overrides:
    `wx.lib.ogl.Shape.GetAttachmentPosition` (inherited documentation)

### GetBoundingBoxMin(self)

Get the minimum bounding box for the shape, that defines the area available for drawing the contents (such as text).

Must be overridden.

  Overrides:
    `wx.lib.ogl.Shape.GetBoundingBoxMin` (inherited documentation)

### GetNumberOfAttachments(self)

Get the number of attachment points for this shape.

  Overrides:
    `wx.lib.ogl.Shape.GetNumberOfAttachments` (inherited documentation)

### GetPerimeterPoint(self, x1, y1, x2, y2)

Get the point at which the line from (x1, y1) to (x2, y2) hits the shape. Returns False if the line doesn't hit the perimeter.

  Overrides:
    `wx.lib.ogl.Shape.GetPerimeterPoint` (inherited documentation)

### SetSize(self, x, y, recursive=True)

Set the shape's size.

  Overrides:
    `wx.lib.ogl.Shape.SetSize` (inherited documentation)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:35 2007 | http://epydoc.sf.net